package com.baidu.rtc.videoroom.model;

import android.content.Context;
import android.content.Intent;

import com.baidu.rtc.videoroom.R;

public class RoomData {
    public String mAppId = "";
    public String mTokenStr = "";
    public String mUserId = "";
    public String mUserName = "";
    public String mRoomName = "";
    public String mMediaServer = "";
    public String mMediaServerIP = "";
    public String mRtmpUrl = "";
    public boolean mRtmpMix = false;
    public boolean mRecording = false;
    public boolean mAudioOnly = true;
    public boolean mDisableBuildInNs = false;
    public boolean mReportStreamMonitorData = true;


    public static RoomData createFromIntent(Intent intent, Context context) {
        RoomData data = new RoomData();
        data.mUserId = intent.getExtras().getString("userid");
        data.mUserName = intent.getExtras().getString("username");
        String mediaserver = intent.getExtras().getString("mediaserver");
        String mediaserverip = intent.getExtras().getString("mediaserverip");
        data.mRoomName = intent.getExtras().getString("roomname");
        data.mAudioOnly = intent.getExtras().getBoolean("audio_only");
        data.mDisableBuildInNs = intent.getExtras().getBoolean("disable_builtin_ns");
        data.mReportStreamMonitorData = intent.getExtras().getBoolean("stream_monitor_data_report");
        if (mediaserver == null || mediaserver.isEmpty()) {
            data.mMediaServer = context.getString(R.string.pref_default_media_server_url);
        } else {
            data.mMediaServer = mediaserver;
        }

        if (mediaserverip == null || mediaserverip.isEmpty()) {
            data.mMediaServerIP = "";
        } else {
            data.mMediaServerIP = mediaserverip;
        }

        if (data.mRoomName == null || data.mRoomName.isEmpty()) {
            data.mRoomName = context.getString(R.string.pref_default_room_name);
        }

        data.mAppId = intent.getExtras().getString("appid");
        if (data.mAppId.isEmpty()) {
            data.mAppId = context.getString(R.string.baidu_rtc_app_id);
        }
        data.mTokenStr = context.getString(R.string.baidu_rtc_token_tmp);

        data.mRtmpUrl = intent.getExtras().getString("rtmp_url");
        data.mRtmpMix = intent.getExtras().getBoolean("rtmp_mix");
        data.mRecording = intent.getExtras().getBoolean("recording");
        return data;
    }
}
